#define SAVEFILE_PATH(i) "Saves/[ckey]-[i].sav"
#define MAX_SAVE_FILES 10

world
	hub = "Andreg1.A_FSS"
	version = 7

client/New()
	..()
	Slots = GetSlots()
	Creation()

client/var/Slots

client/proc

	Creation()
		var/list/Choices=list()
		Choices += "Create Character"
		if(Slots>0)
			Choices += "Load Character"
		switch(input(src,"What do you wish to do?","Library") as null|anything in Choices)
			if("Create Character")
				CreateCharacter()
			if("Load Character")
				LoadCharacter()
			else del src

	CreateCharacter()
		var/list/Choices=list("New")
		if(Slots>0) for(var/i=1,i<=Slots,i++) Choices += "[i]"
		if(Slots >= MAX_SAVE_FILES)
			src << "You have exceeded the number of save files allowed, you must overwrite an existing save file."
			Choices-="New"
		var/t = input(src,"Choose a slot to overwrite, or create a new slot") as null|anything in Choices
		if(!t) Creation()
		switch(t)
			if("New")
				mob.current_slot = Slots+1
				world << "Current slot = [Slots+1]"
			else
				var/savefile/S = SAVEFILE_PATH(t)
				if(fexists(S))
					fdel(S)
					mob.current_slot= t
					world << "Current slot = [t]"

	LoadCharacter()
		var/list/Slotholder=list()
		for(var/i=1,i<=Slots,i++)
			Slotholder += "[i]"
		var/t = input(src,"Which slot?","Library") as null|anything in Slotholder
		if(!t) Creation()
		if(fexists(SAVEFILE_PATH(t)))
			mob.current_slot=t
			mob.Load()
			world << "Current slot = [t]"

	GetSlots()
		var/count
		for(var/i=1,i<=MAX_SAVE_FILES,i++) if(fexists(SAVEFILE_PATH(i))) count++
		return count

mob/verb/Save()
	SaveCharacter()

mob/proc
	SaveCharacter()
		if(!current_slot)
			src << "Create or load a character first!"
			return
		var/savefile/F = new(SAVEFILE_PATH(current_slot))
		Write(F)
		src << "You have saved your character on slot [current_slot]"
	Load()
		var/savefile/F = new(SAVEFILE_PATH(current_slot))
		Read(F)
		src << "Loaded slot [current_slot]"

mob/var/tmp/current_slot